Skip to main content
GET
/
accounts
/
{account_id}
/
addresses
Fetch all addresses
curl --request GET \
  --url https://api.brale.xyz/accounts/{account_id}/addresses \
  --header 'Authorization: Bearer <token>'
{
  "addresses": [
    {
      "id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
      "status": "active",
      "name": "Solana Custodial Wallet",
      "address": "73uyt9HkEqx9bThYXWaUBP67sWsiJEsyJ5rSCieDx5me",
      "transfer_types": [
        "solana",
        "base",
        "wire"
      ]
    }
  ]
}
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.

Authorizations

Authorization
string
header
required

Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.

Path Parameters

account_id
string<ksuid>
required

The ID of the account

Pattern: ^[a-zA-Z0-9]{26}$
Example:

"2VcUIIsgARwVbEGlIYbhg6fGG57"

Response

200 - */*

A list of addresses

addresses
Address · object[]